Arch RemoveShape/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 4: Line 4:
</div>
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/sv
{{GuiCommand/sv
|Name=Arch RemoveShape
|Name=Arch RemoveShape
Line 11: Line 12:
|SeeAlso=[[Arch SplitMesh]], [[Arch MeshToShape/sv|MeshToShape]]
|SeeAlso=[[Arch SplitMesh]], [[Arch MeshToShape/sv|MeshToShape]]
}}
}}
</div>


==Beskrivning==
==Beskrivning==


This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).


==Bruk==
==Bruk==
Line 49: Line 51:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/sv|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}
{{docnav/sv|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}

Revision as of 13:11, 1 December 2020

Arch RemoveShape

Menyplacering
Arch → Utilities → Remove Shape
Arbetsbänkar
Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Arch SplitMesh, MeshToShape

Beskrivning

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Bruk

  1. Select an Arch Wall or Arch Structure
  2. Press the button or use ArchUtilities Remove Shape from the top menu.

Skript

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()